%global	applnkdir %{_sysconfdir}/X11/applnk/Internet
%global momorel 6

Summary:	yet another GTK based download tool
Name:		aria
Version:	1.0.0
Release:	%{momorel}m
URL:		http://aria.rednoah.com/
License:	GPL
Group:		Applications/Internet

Requires:	openssl
BuildPreReq:	openssl-devel

Source0:	http://aria.rednoah.com/storage/sources/aria-%{version}.tar.bz2
NoSource:	0
Source1:	aria.xpm
Source2:	aria.po
Patch0:		aria.initrc.patch
Buildroot:	%{_tmppath}/%{name}-%{version}-root

%description
Aria is a download tool similar to Reget or GetRight. It downloads files
from the Internet via HTTP or FTP. The transfer can be paused, resumed,
queued, and saved. It has a friendly GTK-based GUI and useful log consoles.
It supports URL list importing, CRC checking, HTTP proxy server, HTTP
recursive downloads with various useful options, and cut-and-pasting.
It also can handle annoying CGI fake download pages.

%prep

%{?!optver:%setup -q}
%{?optver:%setup -q -n %{name}-%{version}%{optver}}
%patch0 -p0
cp %{SOURCE2} po/aria.po

%build
# CXXFLAGS="%{optflags} "
# CXXFLAGS=`echo "$CXXFLAGS" | sed -e 's/-O[123] /-O0 /g'`
# CXXFLAGS=`echo "$CXXFLAGS" | sed -e 's/-f[a-z-]* //g'`
# define optflags $CXXFLAGS
%configure
touch po/aria.po
make

%install
%makeinstall
#mkdir -p %{buildroot}%{_bindir}
#mkdir -p %{buildroot}%{_docdir}

install -d %{buildroot}%{_datadir}/pixmaps
install -m 644 -p %{SOURCE1} %{buildroot}%{_datadir}/pixmaps/

install -d %{buildroot}%{applnkdir}
cat > %{buildroot}%{applnkdir}/aria.desktop << EOF
[Desktop Entry]
Name=Aria
Comment=yet another GTK based download tool
Exec=%{_bindir}/aria
Icon=aria.xpm
Terminal=0
Type=Application
EOF

#see patch0
touch %{buildroot}%{_datadir}/aria/gui.aria
touch %{buildroot}%{_datadir}/aria/http_proxy.aria
touch %{buildroot}%{_datadir}/aria/ftp_proxy.aria
touch %{buildroot}%{_datadir}/aria/history.aria

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc INSTALL NEWS README README.euc TODO ChangeLog COPYING AUTHORS
%{_bindir}/aria
%{_datadir}/aria
%{_datadir}/locale/*/LC_MESSAGES/aria.mo
%{_datadir}/pixmaps/aria.xpm
%{applnkdir}/aria.desktop

%changelog
* Sun Jul 11 2004 Hiroyuki Koga <kuma@momonga-linux.org>
- (1.0.0-6m)
- remove Epoch

* Mon Dec 15 2003 TAKAHASHI Tamotsu <tamo>
- (1.0.0-5m)
- add patch0: tells aria to create necessary files
- add source2: skip xgettext

* Wed Nov  5 2003 Shigeyuki Yamashita <shige@momonga-linux.org>
- (1.0.0-4m)
- remove %%with_gcc296 macros.
  It is not necessary any longer.(may be...)

* Tue Oct 14 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (1.0.0-3m)
- use gcc3

* Tue Sep 16 2003 Kimitake Shibata <cipher@da2.so-net.ne.jp>
- (kossori)
  Add BuildPreReq libstdc++2.96

* Wed Mar  5 2003 Tsutomu Yasuda <tom@tom.homelinux.org>
- (1.0.0-2m)
  rebuild against openssl 0.9.7a

* Mon Dec 30 2002 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.0.0-1m)
- use gcc_2_96

* Sun Oct 06 2002 TAKAHASHI Tamotsu <arms405@jade.dti.ne.jp>
- (0.10.2-0.7.1m Epoch:1)
- update (can be compiled with gcc-3.0)
- can be optimized
- ~/.aria files have been incompatible?

* Mon Sep 09 2002 TAKAHASHI Tamotsu <arms405@jade.dti.ne.jp>
- never optimize this app before examining. now we use -O0 as optflags

* Thu May 30 2002 YAMAZAKI Makoto <zaki@kondara.org>
- (0.10.2-0.0006006k)
- cancel gcc-3.1 autoconf-2.53

* Sat May 25 2002 Toru Hoshina <t@kondara.org>
- (0.10.2-0.0006004k)
- rebuild against gcc 3.1.

* Fri Apr 12 2002 Tamotsu TAKAHASHI <arms405@jade.dti.ne.jp>
- (0.10.2-0.0006002k)
- Kondarized. Thanks, KAZ. :)

* Wed Nov 21 2001 KAZ <kaz@fly-away.virtualave.net>
- 0.10.2-0.1
- update to 0.10.2test1

* Wed Nov 21 2001 KAZ <kaz@fly-away.virtualave.net>
- 0.10.1-5
- update to 0.10.1pl3

* Mon Nov 19 2001 KAZ <kaz@fly-away.virtualave.net>
- 0.10.1-4
- update to 0.10.1pl2

* Thu Nov 15 2001 KAZ <kaz@fly-away.virtualave.net>
- 0.10.1-3
- update to 0.10.1pl1

* Fri Nov 09 2001 KAZ <kaz@fly-away.virtualave.net>
- 0.10.1-2
- add complete.xpm to Desktop Entry

* Mon Nov 05 2001 KAZ <kaz@fly-away.virtualave.net>
- 0.10.1-1
- update to 0.10.1

* Sat Oct 20 2001 KAZ <kaz@fly-away.virtualave.net>
- 0.10.1test21pl1-1
- update to 0.10.1test21pl1

* Sat Oct 20 2001 KAZ <kaz@fly-away.virtualave.net>
- 0.10.1test21-1
- update to 0.10.1test21
- remove patch to compile on linux
- fix typo in spec-file

* Thu Oct 04 2001 KAZ <kaz@fly-away.virtualave.net>
- 0.10.1test18-1
- update to 0.10.1test18
- remove 'n' option (setup)
- define applnkdir with macro
- comment out mkdir after make install
- add patch to compile on linux

* Sat Sep 15 2001 KAZ <kaz@fly-away.virtualave.net>
- update to 0.10.1test17

* Wed Sep 12 2001 KAZ <kaz@fly-away.virtualave.net>
- update to 0.10.1test16

* Thu Aug 30 2001 KAZ <kaz@fly-away.virtualave.net>
- update to 0.10.1test15

* Wed Aug 29 2001 KAZ <kaz@fly-away.virtualave.net>
- update to 0.10.1test14

* Sun Aug 12 2001 KAZ <kaz@fly-away.virtualave.net>
- update to 0.10.1test13

* Wed Aug 01 2001 KAZ <kaz@fly-away.virtualave.net>
- update to 0.10.1test12

* Fri Jul 27 2001 KAZ <kaz@fly-away.virtualave.net>
- modifie spec file

* Mon Jul 02 2001 KAZ <kaz@fly-away.virtualave.net>
- update to 0.10.1test9

* Sat Jun 30 2001 KAZ <kaz@fly-away.virtualave.net>
- update to 0.10.1test7
- added Desktop Entry

* Sat Jun 30 2001 KAZ <kaz@fly-away.virtualave.net>
- modify spec file for Vine Linux 2.1.5

* Tue May 15 2001 Tatsuhiro Tsujikawa
- version 0.10.0
